Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1153827 - Embarrassingly poor summary and description
Summary: Embarrassingly poor summary and description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qtchooser
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qtchooser
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-16 21:58 UTC by Michael Schwendt
Modified: 2014-11-01 16:24 UTC (History)
6 users (show)

Fixed In Version: qtchooser-39-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:24:34 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2014-10-16 21:58:16 UTC
How could that pass package review?

$ yum search qtchooser
qtchooser.x86_64 : Qt Chooser

Yeah, of course. How helpful. Once needs to know what "Qt Chooser" is, and it is a poor summary if the package is named "qtchooser" already.

$ yum info qtchooser
Description : Qt Chooser

Aargh, come on! That's not even a complete sentence and doesn't follow the packaging guidelines.

https://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description


> URL         : http://macieira.org/qtchooser

Only tarballs. No web page. No description either.

Copying from the manual would have been a good idea.

Summary: Wrapper to select between Qt development binary versions

%description
The Qt Chooser provides a wrapper to switch between versions of Qt development binaries when multiple versions like 4 and 5 are installed or local Qt builds are to be used.

Comment 1 Kevin Kofler 2014-10-17 02:26:48 UTC
A better description would be "Useless broken tool from Qt upstream that nobody in Fedora should use, ever". The same effect can be trivially had by setting PATH, without all those useless wrapper binaries. And it is primarily a workaround for broken build systems to begin with. Finding the correct Qt major version to compile a program with is something the program should do, selecting a Qt only makes sense within a major version, if at all (with very few exceptions, where a library can be built against either Qt 4 or Qt 5, but then that's really a configure option for the program/library).

The Summary and %description that you propose doesn't mention anywhere that this program does not make sense on Fedora to begin with, so it misleads users into thinking that we actually support it.

And yes, the best way to avoid misleading users would be to not ship this broken package at all. Can't we just retire it and be done with it?

Comment 2 Rex Dieter 2014-10-17 13:17:00 UTC
Kevin, <sarcasm>thanks so much for the constructive feedback</sarcasm>

We know well how you feel about this tool, if you don't like it, fine, don't use it.  Ignore it please.

Comment 3 Fedora Update System 2014-10-17 13:20:52 UTC
qtchooser-39-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qtchooser-39-4.fc21

Comment 4 Kevin Kofler 2014-10-17 16:59:19 UTC
The thing is, I still believe that shipping qtchooser actually makes Fedora worse (because it confuses users about what the optimal and recommended way to set up Qt is, because it introduces bugs such as this one without introducing any useful functionality etc.) and that it gives us work and a support burden that is entirely unnecessary.

Comment 5 Fedora Update System 2014-10-17 19:45:31 UTC
Package qtchooser-39-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qtchooser-39-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13125/qtchooser-39-4.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-19 18:41:26 UTC
Package qtchooser-39-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qtchooser-39-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13125/qtchooser-39-5.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-11-01 16:24:34 UTC
qtchooser-39-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.